> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/nem-xem/xem_namespace_mosaic_definition_page.md).

# /namespace/mosaic/definition/page - NEM

#### Parameters

`namespace` -

The namespace id.

`id` -

The topmost mosaic definition database id up to which root mosaic definitions are returned. The parameter is optional. If not supplied the most recent mosaic definitiona are returned.

`pagesize` -

The number of mosaic definition objects to be returned for each request. The parameter is optional. The default value is 25, the minimum value is 5 and hte maximum value is 100.

#### Request

```java
curl --location --request GET 'https://go.getblock.io/YOUR-ACCESS-TOKEN/namespace/mosaic/definition/page?namespace=cactus&pageSize=5' \
--header 'Content-Type: application/json'
```

#### Response

```java
{
    "data": [
        {
            "meta": {
                "id": 3693
            },
            "mosaic": {
                "creator": "0e19f145b2e02f17d77283bede48463a6cac293ae89680cccf3d7c52be08117a",
                "description": "\u4eee\u60f3\u901a\u8ca8\u300ccactus\u300d\u306e\u30e2\u30b6\u30a4\u30af\u3067\u3059\u3002",
                "id": {
                    "name": "cactuscoin",
                    "namespaceId": "cactus"
                },
                "levy": {},
                "properties": [
                    {
                        "name": "divisibility",
                        "value": "6"
                    },
                    {
                        "name": "initialSupply",
                        "value": "100000000"
                    },
                    {
                        "name": "supplyMutable",
                        "value": "true"
                    },
                    {
                        "name": "transferable",
                        "value": "true"
                    }
                ]
            }
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/nem-xem/xem_namespace_mosaic_definition_page.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
